function A=sparse2amat(spA,N,m,n)
  [row,col]=size(spA);
  assert( m*N==row && n*N==col)
  [I,J,V]=find(spA);
  K=fix((I-1)/m)+1;
  assert( any(K == fix((J-1)/n)+1) )
  r=I-(K-1)*m;
  c=J-(K-1)*n;
  ind=sub2ind([N,m,n],K,r,c);
  A=zeros(N,m,n);
  A(ind)=V;
end
