function bench_cholesky(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_cholesky(varargin{:});
  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Lfun={@(varargin) fc_linalg3D.fact.cholesky_Ref(varargin{:}), ...
        @(varargin) fc_linalg3D.fact.cholesky_Cpt(varargin{:}), ...
        @(varargin) fc_linalg3D.fact.cholesky_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.fact.cholesky_Mat(varargin{:})};

  fc_bench.bench(Lfun,setfun,'LN',LN,'d',d,'nbruns',nbruns,'error',Error,'info',true,'labelsinfo',true)
end
