function S=gitinfo()
% FUNCTION fc_linalg3D.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018 F. Cuvelier
%
  S=struct('name','fc-linalg3D', 'tag','0.0.2','commit','c19145819c6801a1252543a44916d4a3f5741485','date', '2018-05-31','time','13-39-29','status',0);return; % automatically updated
  rep=fc_linalg3D.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-linalg3D','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
